Subject: Re: bug#12491: 24.2.50; `Info-insert-dir' should be able to not show msgs

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Sep 2012 02:50:20 +0300

> `Info-insert-dir' is not an interactive function.  It can be called by
> any Lisp code that wants to insert an Info directory.  Please provide an
> optional MSG arg (or a NOMSG) arg, so that calling code can optionally
> not show the message "Composing main Info directory...done".

There are many other messages that you might not want to see.
Better than adding a new arg for all of them, maybe callers
should let-bind a variable like `messages-buffer-max-lines' to nil
that will avoid showing the message.